use  教学成绩管理数据库
select 学生信息表.学号, 姓名, 考核名称, 分数
from 学生信息表, 考核成绩表, 考核信息表
where 学生信息表.学生ID = 考核成绩表.学生ID
  and 考核信息表.考核ID = 考核成绩表.考核ID 
  and 教师ID = (select 教师ID from 教师信息表 where 姓名='杜兆将')
--列名 '教师ID' 无效。

select 学号,姓名
from 学生信息表
where 班级编号='2003031' and 学号 not in
(select 学号 from 教学成绩表 where 课程编号='900011')
